# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rbtree"
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["OZAWA Takuma"]
  s.date = "2009-11-13"
  s.description = "RBTree is a sorted associative collection that is implemented with Red-Black Tree. The elements of RBTree are ordered and its interface is the almost same as Hash, so simply you can consider RBTree sorted Hash."
  s.email = "burningdowntheopera at yahoo dot co dot jp"
  s.extensions = ["extconf.rb"]
  s.extra_rdoc_files = ["rbtree.c"]
  s.files = ["rbtree.c", "extconf.rb"]
  s.homepage = "http://www.geocities.co.jp/SiliconValley-PaloAlto/3388/rbtree/README.html"
  s.rdoc_options = ["-S", "-t", "ruby-rbtree", "--main", "MultiRBTree", "--exclude", ".*"]
  s.require_paths = ["."]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.0")
  s.rubyforge_project = "rbtree"
  s.rubygems_version = "1.8.23"
  s.summary = "A sorted associative collection."

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
